#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		consolefontdir	/usr/share/consolefonts
%define		consfont	%{_sysconfdir}/sysconfig/console
#-----------------------------------------------------------------------------
Name		:	terminus-font
Version		:	4.47
Release		:	14.4.0.0%{?dist}
Summary		:	Clean fixed width font
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://savannah.gnu.org/projects/time

Source0		:	%{name}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
Requires(post)	:	lfs-bootscripts
Requires(post)	:	kbd
#-----------------------------------------------------------------------------
%description
Terminus Font is a clean, fixed width bitmap font, designed for long
(8 and more hours per day) work with computers. Version %{version}
contains 1291 characters, covers about 120 language sets and supports
ISO8859-1/2/5/7/9/13/15/16, Paratype-PT154/PT254, KOI8-R/U/E/F, Esperanto,
many IBM, Windows and Macintosh code pages, as well as the IBM VGA, vt100
and xterm pseudographic characters.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build


./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--psfdir=%{consolefontdir}			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	psf

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install-psf

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README
%{consolefontdir}/ter-*.psf.gz

%post
if [ "$1" = 1 ]; then
  mkdir -p $(dirname %{consfont})
  if [ ! -f %{consfont} ] ; then
    (
    echo "#-------------------------------"
    echo "#setting the console font type"
    echo "FONT=ter-128n"
    echo "#put the console into UTF-8 mode."
    echo "UNICODE=\"true\""
    echo "#-------------------------------"
    ) >> %{consfont}
    fi
  fi

%postun
if [ $1 = 0 ]; then
  sed -i 						\
    -e "s/^FONT=ter-128n/#FONT=ter-128n/"		\
  %{consfont} 
  fi


%changelog
